Frage von justinek03, 22

Fehler im mc plugin?

Unsupported major.minor version 52.0

wer kann mir sagen was das heißt ??

Ganze Fehlermeldung

org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: de/justinek/me/main : Unsupported major.minor version 52.0 at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:739) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.Bukkit.reload(Bukkit.java:535) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchServerCommand(CraftServer.java:627) [s.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.DedicatedServer.aO(DedicatedServer.java:412) [s.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:375) [s.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [s.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [s.jar:git-Spigot-5f38d38-18fbb24] at java.lang.Thread.run(Thread.java:745) [?:1.7.0_91] Caused by: java.lang.UnsupportedClassVersionError: de/justinek/me/main : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_91] at java.lang.ClassLoader.defineClass(ClassLoader.java:800) ~[?:1.7.0_91] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.7.0_91] at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) ~[?:1.7.0_91] at java.net.URLClassLoader.access$100(URLClassLoader.java:71) ~[?:1.7.0_91] at java.net.URLClassLoader$1.run(URLClassLoader.java:361) ~[?:1.7.0_91] at java.net.URLClassLoader$1.run(URLClassLoader.java:355) ~[?:1.7.0_91] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_91] at java.net.URLClassLoader.findClass(URLClassLoader.java:354) ~[?:1.7.0_91] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[s.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.ja

Antwort
von SirSchinken, 14
Kommentar von justinek03 ,

was muss ich jetzt machen ?

Kommentar von justinek03 ,

muss ich jetzt das

import java.applet.Applet;
import java.awt.*;
public class Hello extends Applet {
// Java applet to draw "Hello World"
public void paint (Graphics page) {
page.drawString ("Hello World!", 50, 50);
}
}

in mein plugin einfügen ?

Kommentar von SirSchinken ,

Am besten mal die Antworten durchlesen die zum problem gegeben wurden vielleicht.

Kommentar von justinek03 ,

das ding ist ich habe das Problem bei Linux nicht bei windows

Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten